Name:           manedit
Version:        0.8.1
Release:        1%{?dist}.1
Summary:        UNIX Manual Page Editor

Group:          Development/Tools
License:        GPL
URL:            http://wolfpack.twu.net/ManEdit/
Source0:        http://wolfpack.twu.net/users/wolfpack/%{name}-%{version}.tar.bz2
Source1:        manedit.desktop
Source2:        manview.desktop
Patch0:         manedit-0.7.1-makefile.patch
Patch1:         manedit-0.8.1-allow-more_section.patch
Patch2:         manedit-0.7.1-manbase.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# This is gtk+ package
BuildRequires:  gtk+-devel
BuildRequires:  zlib-devel
BuildRequires:  bzip2-devel
BuildRequires:  desktop-file-utils
Requires:       man

%description
ManEdit is a UNIX manual page editor and viewer, 
it is designed specifically for the editing of the 
UNIX manual page format using an integrated XML interface.

NOTE: This is a gtk+ package and some characters,
especially UTF-8 characters will be garbled.

%prep
%setup -q

# Base Makefile on FreeBSD style
%{__cp} -p ./manedit/Makefile.FreeBSD ./manedit/Makefile
%patch0 -p1 -b .fedora
%patch1 -p1 -b .section
%patch2 -p1 -b .manbase

%build
# I cannot understand this configure!!
#%%configure

pushd manedit
%{__make} %{?_smp_mflags} \
   OPTFLAGS="$RPM_OPT_FLAGS -DHAVE_GZIP -DHAVE_BZIP2" \
   LDFLAGS="-lz -lbz2"
%{__make} manedit.1.out ; %{__mv} -f manedit.1.out manedit.1
popd

%install
%{__rm} -rf $RPM_BUILD_ROOT

pushd manedit
%{__mkdir_p} $RPM_BUILD_ROOT%{_prefix}
%{__make} install PREFIX=$RPM_BUILD_ROOT%{_prefix}

# remove manwrap
%{__rm} -f $RPM_BUILD_ROOT%{_bindir}/manwrap

desktop-file-install \
   --vendor fedora \
   --remove-category Application \
   --dir $RPM_BUILD_ROOT%{_datadir}/applications \
   %{SOURCE1}

desktop-file-install \
   --vendor fedora \
   --remove-category Application \
   --dir $RPM_BUILD_ROOT%{_datadir}/applications \
   %{SOURCE2}

# install icons
# size 20 don't seems to be owned by hicolor-icon-theme
for size in 16x16 48x48 ; do
   %{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${size}/apps/
   for f in manedit mp_viewer ; do
      %{__install} -c -p -m 644 images/${f}_${size}.xpm \
         $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${size}/apps/${f}.xpm
   done
done
%{__rm} -rf $RPM_BUILD_ROOT%{_datadir}/pixmaps/

popd

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE README

%{_bindir}/man*

%{_datadir}/icons/hicolor/*/apps/*.xpm
%{_datadir}/applications/fedora-*.desktop

%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1*

%changelog
* Sun Feb 11 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.8.1-1
- 0.8.1

* Sat Nov 11 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.7.1-5
- Remove some warnings.

* Thu Nov  2 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.7.1-4
- Add a comment about gtk+ issue on %%description.

* Tue Oct 31 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.7.1-3
- Install manview desktop, related icons.
- Change Requires.
- Remove manwrap

* Sun Oct 29 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.7.1-2
- Improve Makefile and mandir treatments, patches from Patrice Dumas.
- Make man page.
- Correct install directory.

* Sat Oct 28 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.7.1-1
- Re-submit to Fedora Extras.

* Thu Apr 14 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.5.11-5
- Fix build for GCC4.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Wed Feb  9 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.5.11-3
- Add patch for multilib and substitute hardcoded 'lib' in %%prep.
- Add patch to disable stripping.

* Wed Nov 17 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.5.11-2
- BR bzip2-devel + patch to enable bzip2, bump release

* Sat Oct 3 2004 Nils O. Selåsdal <NOS@Utel.no> - 0:0.5.11-0.fdr.1
- Update to 0.5.11

* Thu Oct 2 2003 Nils O. Selåsdal <NOS@Utel.no> - 0:0.5.10-0.fdr.2
- Put .desktop in its own file
- Save .spec file as utf-8
- use mainstream tar.bz2 instead of tgz

* Wed Aug 27 2003 Nils O. Selåsdal <NOS@Utel.no> - 0:0.5.10-0.fdr.1
- Initial RPM for Fedora
